## org.eclipse.ocl.ecore
Interface SendSignalAction

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  SendSignalActionImpl

    public interface SendSignalAction

extends EObject

A representation of the model object 'Send Signal Action'.

The following features are supported:

- `Signal`

See Also:
  `EcorePackage.getSendSignalAction()`

Method Summary
`EClass` `getSignal()` Returns the value of the 'Signal' reference
`void` `setSignal(EClass value)` Sets the value of the '`Signal`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSignal

    EClass getSignal()

  Returns the value of the 'Signal' reference.

  If the meaning of the 'Signal' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Signal' reference.
  See Also:
    `setSignal(EClass)`, `EcorePackage.getSendSignalAction_Signal()`

### setSignal

    void setSignal(EClass value)

  Sets the value of the '`Signal`' reference.

  Parameters:
    `value` - the new value of the 'Signal' reference.
  See Also:
    `getSignal()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.